@rem
@rem !!!!! DON'T EDIT THIS FILE !!!!!
@rem
@rem  configuration is in _config.bat
@rem
@ECHO OFF
:MENU
ECHO.
ECHO  ===== CHOOSE ACCELERATION 'N' SOUND ====
ECHO  ----------------------------------------
ECHO  1. FASTEST (INTEL HAXM) 'N'    SDL SOUND (default)
ECHO  2. FASTEST (INTEL HAXM) 'N' DIRECT SOUND
ECHO  3.           WIN10 WHPX 'N'    SDL SOUND
ECHO  4.           WIN10 WHPX 'N' DIRECT SOUND
ECHO  5.       COMPATIBLE TCG 'N'    SDL SOUND
ECHO  6.       COMPATIBLE TCG 'N' DIRECT SOUND
ECHO  ----------------------------------------
ECHO  =========== PRESS 'Q' TO QUIT ==========
ECHO.
SET INPUT=
SET /P INPUT=Please select a number:
IF /I '%INPUT%'=='' GOTO Selection1
IF /I '%INPUT%'=='1' GOTO Selection1
IF /I '%INPUT%'=='2' GOTO Selection2
IF /I '%INPUT%'=='3' GOTO Selection3
IF /I '%INPUT%'=='4' GOTO Selection4
IF /I '%INPUT%'=='5' GOTO Selection5
IF /I '%INPUT%'=='6' GOTO Selection6
IF /I '%INPUT%'=='Q' GOTO Quit
CLS
ECHO  ==============INVALID INPUT=============
ECHO  ----------------------------------------
ECHO    Please select a number from the Main
echo      Menu [1-6] or select 'Q' to quit.
ECHO  ----------------------------------------
ECHO  ========PRESS ANY KEY TO CONTINUE=======
PAUSE > NUL
GOTO MENU

:Selection1
SET INPUT=
echo CD must be in drive
SET /P INPUT=Type your CD-ROM letter or hit enter:
IF /I '%INPUT%'=='' GOTO Selection11
@call _config.bat sdl hax %INPUT%: goto configuration
@pause
GOTO end
:Selection11
@call _config.bat sdl hax cd1.iso goto configuration
@pause
GOTO end
:Selection2
SET INPUT=
echo CD must be in drive
SET /P INPUT=Type your CD-ROM letter or hit enter:
IF /I '%INPUT%'=='' GOTO Selection22
@call _config.bat dsound hax %INPUT%: goto configuration
@pause
GOTO end
:Selection22
@call _config.bat dsound hax cd1.iso goto configuration
@pause
GOTO end
:Selection3
SET INPUT=
echo CD must be in drive
SET /P INPUT=Type your CD-ROM letter or hit enter:
IF /I '%INPUT%'=='' GOTO Selection33
@call _config.bat sdl "whpx,kernel-irqchip=off" %INPUT%: goto configuration
@pause
GOTO end
:Selection33
@call _config.bat sdl "whpx,kernel-irqchip=off" cd1.iso goto configuration
@pause
GOTO end
:Selection4
SET INPUT=
echo CD must be in drive
SET /P INPUT=Type your CD-ROM letter or hit enter:
IF /I '%INPUT%'=='' GOTO Selection44
@call _config.bat dsound "whpx,kernel-irqchip=off" %INPUT%: goto configuration
@pause
GOTO end
:Selection44
@call _config.bat dsound "whpx,kernel-irqchip=off" cd1.iso goto configuration
@pause
GOTO end
:Selection5
SET INPUT=
echo CD must be in drive
SET /P INPUT=Type your CD-ROM letter or hit enter:
IF /I '%INPUT%'=='' GOTO Selection55
@call _config.bat sdl tcg %INPUT%: goto configuration
@pause
GOTO end
:Selection55
@call _config.bat sdl tcg cd1.iso goto configuration
@pause
GOTO end
:Selection6
SET INPUT=
echo CD must be in drive
SET /P INPUT=Type your CD-ROM letter or hit enter:
IF /I '%INPUT%'=='' GOTO Selection66
@call _config.bat dsound tcg %INPUT%: goto configuration
@pause
GOTO end
:Selection66
@call _config.bat dsound tcg cd1.iso goto configuration
@pause
GOTO end
:Quit
CLS

ECHO ==============THANKYOU===============
ECHO -------------------------------------
ECHO ======PRESS ANY KEY TO CONTINUE======

PAUSE>NUL
:end